Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01837 DIP/Input Major Always May 25, 2008, 16:12 Jun 5, 2008, 20:27
Tester haynor666 View Status Public Platform MAME (Self-compiled)
Assigned To aaron Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved Driver homerun.cpp
Version 0.125u2 Fixed in Version 0.125u4 Build Normal
Fixed in Git Commit Github Pull Request #
Summary 01837: dynashot: Input Port Errors
Description There is a issue that started in 0.125u2 that is causing many sets/drivers to incorrectly read and implement it's INPUT port configurations.

Other issues are 01834, 01832, 01830 and probably more.

As of 0.125u3 - this message is displayed:
src/mame/drivers/homerun.c: dynashot has input port errors:
INPUT_TOKEN_FIELD specifies duplicate port bits (mask=77)

Input port errors:
INPUT_TOKEN_FIELD specifies duplicate port bits (mask=77)
Steps To Reproduce Run game, try to play. Look into mame mapping only for this game.
Additional Information
Github Commit
Flags
Regression Version 0.125u2
Affected Sets / Systems dynashot
Attached Files
png file icon dynashot.png (12,942 bytes) May 25, 2008, 16:12
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.01122
Tafoid
Administrator
May 29, 2008, 16:53
Reimplemented the per driver Input Port reporting, since these were not corrected but now display a warning message instead.